---
title: logrotate
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.logrotate) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.logrotate?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.logrotate) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.logrotate/src/branch/main/LICENSE)

Setup logrotate.

<!--more-->

- [Default Variables](#default-variables)
  - [logrotate_app_config](#logrotate_app_config)
  - [logrotate_app_config_extra](#logrotate_app_config_extra)
  - [logrotate_config](#logrotate_config)
  - [logrotate_include_dir](#logrotate_include_dir)
  - [logrotate_options](#logrotate_options)
  - [logrotate_package](#logrotate_package)
- [Dependencies](#dependencies)

---

## Default Variables

### logrotate_app_config

#### Default value

```YAML
logrotate_app_config: []
```

### logrotate_app_config_extra

#### Default value

```YAML
logrotate_app_config_extra: []
```

### logrotate_config

#### Default value

```YAML
logrotate_config:
  - name: syslog
    definitions:
      - logs:
          - /var/log/cron
          - /var/log/maillog
          - /var/log/messages
          - /var/log/secure
          - /var/log/spooler
        options:
          - missingok
          - sharedscripts
        postrotate:
          - /usr/bin/systemctl kill -s HUP rsyslog.service >/dev/null 2>&1 || true
  - name: chrony
    definitions:
      - logs:
          - /var/log/chrony/*.log
        options:
          - missingok
          - nocreate
          - sharedscripts
        postrotate:
          - /usr/bin/chronyc cyclelogs > /dev/null 2>&1 || true
  - name: wtmp
    definitions:
      - logs:
          - /var/log/wtmp
        options:
          - missingok
          - monthly
          - create 0664 root utmp
          - minsize 1M
          - rotate 1
  - name: btmp
    definitions:
      - logs:
          - /var/log/btmp
        options:
          - missingok
          - monthly
          - create 0600 root utmp
          - rotate 1
```

### logrotate_include_dir

#### Default value

```YAML
logrotate_include_dir: /etc/logrotate.d
```

### logrotate_options

#### Default value

```YAML
logrotate_options:
  - weekly
  - rotate 4
  - create
  - dateext
```

### logrotate_package

#### Default value

```YAML
logrotate_package: logrotate
```



## Dependencies

None.
